# Create Injected Id

> Channels API · Biss

```http
POST /api/channel-biss/injected-ids/
```

Create a new BISS Injected ID.

The appliance assigns the `bkid` — callers should re-list injected IDs
after a successful create to discover it.

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Request body

Content type: `application/json` · **Required**

- `description` · string · **Required** · _<=255 characters_
- `encryptedInjectedId` · string · **Required** · _<=512 characters_
- `version` · string · Optional · _Defaults to 3_

## Example request

```bash
curl -X POST "/api/channel-biss/injected-ids/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "encryptedInjectedId": "string",
  "version": "3"
}'
```

## Responses

### 201 — Successful Response

Example:

```json
{}
```

### 422 — Validation Error

- `detail` · list of objects · Optional
  - Array items (object):
    - `loc` · list of objects · **Required**
      - Array items (object):
        - One of the following variants:
          - **string** (string)
          - **integer** (integer)
    - `msg` · string · **Required**
    - `type` · string · **Required**
    - `input` · any · Optional
    - `ctx` · object · Optional

Example:

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
```

---

Source spec: `channels-api` · operationId: `create_injected_id_biss_injected_ids__post`
